###################################################
### chunk number 1: 
###################################################
oopt <- options()
options("digits"=4)
options("width"=80)


###################################################
### chunk number 2: 
###################################################
library(doBy)


###################################################
### chunk number 3: 
###################################################
data(CO2)
CO2 <- transform(CO2, Treat=Treatment, Treatment=NULL)
levels(CO2$Treat) <- c("nchil","chil")
levels(CO2$Type)  <- c("Que","Mis")
CO2 <- subset(CO2, Plant %in% c("Qn1", "Qc1", "Mn1", "Mc1"))


###################################################
### chunk number 4: 
###################################################
airquality <- subset(airquality, Month %in% c(5,6))


###################################################
### chunk number 5: 
###################################################
myfun1 <- function(x){c(m=mean(x), v=var(x))} 
summaryBy(conc+uptake~Plant, data=CO2,
FUN=myfun1)


###################################################
### chunk number 6: 
###################################################
myfun2 <- function(x){c(mean(x), var(x))} 
summaryBy(conc+uptake~Plant, data=CO2,FUN=myfun2)


###################################################
### chunk number 7: 
###################################################
summaryBy(uptake~Plant, data=CO2, FUN=c(mean,var,median))


###################################################
### chunk number 8: 
###################################################
mymed <- function(x)c(med=median(x))
summaryBy(uptake~Plant, data=CO2, 
FUN=c(mean,var,mymed))


###################################################
### chunk number 9: 
###################################################
summaryBy(conc+uptake~Plant, data=CO2,
FUN=myfun1,
id=~Type+Treat)


###################################################
### chunk number 10: 
###################################################
summaryBy(log(uptake)+I(conc+uptake)+ conc+uptake~Plant, data=CO2,
FUN=myfun1)


###################################################
### chunk number 11: 
###################################################
summaryBy(log(uptake)+I(conc+uptake)~Plant, data=CO2, p2d=TRUE,
FUN=myfun1)


###################################################
### chunk number 12: 
###################################################
summaryBy(log(uptake)+I(conc+uptake)+. ~Plant, data=CO2,
FUN=myfun1)


###################################################
### chunk number 13: 
###################################################
summaryBy(log(uptake) ~Plant+., data=CO2,
FUN=myfun1)


###################################################
### chunk number 14: 
###################################################
summaryBy(log(uptake) ~ 1, data=CO2, 
FUN=myfun1)


###################################################
### chunk number 15: 
###################################################
summaryBy(conc+uptake+log(uptake)~Plant, 
data=CO2, FUN=mean, id=~Type+Treat, keep.names=TRUE)


###################################################
### chunk number 16: 
###################################################
x<-orderBy(~Temp+Month, data=airquality)


###################################################
### chunk number 17: 
###################################################
head(x)


###################################################
### chunk number 18: 
###################################################
x<-orderBy(~-Temp+Month, data=airquality)
head(x)


###################################################
### chunk number 19: 
###################################################
x<-splitBy(~Month, data=airquality)
x


###################################################
### chunk number 20: 
###################################################
x[['5']]


###################################################
### chunk number 21: 
###################################################
attr(x,"groupid")


###################################################
### chunk number 22: 
###################################################
sampleBy(~1, frac=0.5, data=airquality)


###################################################
### chunk number 23: 
###################################################
sampleBy(~Month, frac=0.2, data=airquality,systematic=T)


###################################################
### chunk number 24: 
###################################################
subsetBy(~Month, subset=Wind>mean(Wind), data=airquality)


###################################################
### chunk number 25: 
###################################################
transformBy(~Month, data=airquality, minW=min(Wind), maxW=max(Wind), 
    chg=sum(range(Wind)*c(-1,1)))


###################################################
### chunk number 26: 
###################################################
data(dietox)
dietox <- orderBy(~Pig+Time, data=dietox)
v<-lapplyBy(~Pig, data=dietox, function(d) c(NA, diff(d$Weight)/diff(d$Feed)))
dietox$FE <- unlist(v)


###################################################
### chunk number 27: 
###################################################
dietox <- orderBy(~Pig+Time, data=dietox)
wdata <- splitBy(~Pig, data=dietox)
v <- lapply(wdata, function(d) c(NA, diff(d$Weight)/diff(d$Feed)))
dietox$FE <- unlist(v)


###################################################
### chunk number 28: 
###################################################
data(airquality)
airquality <- transform(airquality, Month=factor(Month))
m<-lm(Ozone~Month*Wind, data=airquality)
coefficients(m)


###################################################
### chunk number 29: 
###################################################
Lambda <- rbind(
  c(0,-1,0,0,0,0,-10,0,0,0),
  c(0,1,-1,0,0,0,10,-10,0,0),
  c(0,0,1,-1,0,0,0,10,-10,0),
  c(0,0,0,1,-1,0,0,0,10,-10)
  )


###################################################
### chunk number 30: 
###################################################
Lambda
esticon(m, Lambda
)


###################################################
### chunk number 31: 
###################################################
Lambda <- rbind(
  c(0,0,0,0,0,0,1,0,0,0),
  c(0,0,0,0,0,0,0,1,0,0),
  c(0,0,0,0,0,0,0,0,1,0),
  c(0,0,0,0,0,0,0,0,0,1)
  )


###################################################
### chunk number 32: 
###################################################
Lambda
esticon(m, Lambda, joint.test=T)


###################################################
### chunk number 33: 
###################################################
x <- c(1,1,1,2,2,2,1,1,1,3)
firstobs(x)
lastobs(x)


###################################################
### chunk number 34: 
###################################################
firstobs(~Plant, data=CO2)
lastobs(~Plant, data=CO2)


###################################################
### chunk number 35: 
###################################################
options(oopt)


###################################################
### chunk number 36: 
###################################################
CO2


###################################################
### chunk number 37: 
###################################################
head(airquality, n=20)


